org.richfaces.ui.menu.menu

## Enum UIMenuSeparator.Properties

- java.lang.Object
- - java.lang.Enum<UIMenuSeparator.Properties>
  - - org.richfaces.ui.menu.menu.UIMenuSeparator.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIMenuSeparator.Properties>
  Enclosing class:
    UIMenuSeparator

      protected static enum UIMenuSeparator.Properties
      extends Enum<UIMenuSeparator.Properties>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIMenuSeparator.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIMenuSeparator.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### values

          public static UIMenuSeparator.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIMenuSeparator.Properties c : UIMenuSeparator.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIMenuSeparator.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.